package htmlunit;
import java.io.File;
import java.io.IOException;

import com.gargoylesoftware.htmlunit.WebClient;
import com.gargoylesoftware.htmlunit.html.HtmlImage;
import com.gargoylesoftware.htmlunit.html.HtmlInput;
import com.gargoylesoftware.htmlunit.html.HtmlPage;
import com.gargoylesoftware.htmlunit.html.HtmlSubmitInput;


public class HtmlUnitExampleTestBase {
	protected HtmlPage currentPage;
	
	
	protected String getCurrentAsHtml(){
		return currentPage.getWebResponse().getContentAsString();
	}
	
	protected void setInput(String name, String value){
		HtmlInput element = currentPage.getElementByName(name);
		element.setValueAttribute(value);
	}
	
	protected void clickButton(String name) throws Exception {
		currentPage = ((HtmlSubmitInput)currentPage.getElementByName(name)).click();
		
	}
	
	public void openInBrowser() throws IOException {
		String filePath = "temp.html";
		currentPage.save(new File(filePath));
		Runtime.getRuntime().exec("explorer "+ filePath);
	}
	
	public static void main(String[] args) {
		try{
			WebClient webClient = new WebClient();
			HtmlPage currentPage = webClient.getPage("http://www.google.com/");
			HtmlImage imgElement = (HtmlImage)currentPage.getHtmlElementById("logo");
			System.out.println(imgElement.getAttribute("src"));
		}
		catch (Exception e) {
			e.printStackTrace();
		}

	}
}
